/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package myServlets;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.*;

/**
 *
 * @author alessiobechini
 */
public class CookieServlet extends HttpServlet {
   
    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            String firstPart ="<html>\n"+
                "<head>\n"+
                "  <meta content=\"text/html; charset=ISO-8859-1\" http-equiv=\"content-type\">\n"+
                "</head>\n"+
                "<body>\n"+
                "  <h1>Servlet to set and get back cookies</h1>\n"+
                "  <br>";
            out.println(firstPart);

            int numC=1;
            Cookie[] foundCookies = request.getCookies();
            if (foundCookies!=null){

                out.println("  <table style=\"text-align: left; width: 921px;\" border=\"0\" cellpadding=\"2\" cellspacing=\"2\">");
                out.println("    <tbody>");
                out.println("      <tr>");
                out.println("        <td style=\"vertical-align: top;\">Name<br></td><td style=\"vertical-align: top;\">Content<br></td>\n");
                out.println("      </tr>");


                numC=foundCookies.length+1;
                String[] rowColor= new String[2];
                rowColor[0]="rgb(255, 255, 153)";
                rowColor[1]="rgb(255, 204, 153)";

                for(int i=0; i<foundCookies.length;i++){
                    
                    String currentColor=rowColor[i%2];

                    String tableRow =
                            "      <tr>\n"+
                            "        <td style=\"vertical-align: top; background-color: "+currentColor+"\">"+foundCookies[i].getName()+"</td>"+
                            "<td style=\"vertical-align: top; background-color: "+currentColor+"\">"+foundCookies[i].getValue()+"</td>\n"+
                            "      <tr>";

                    out.println(tableRow);
                }
                
                
                out.println("    </tbody>");
                out.println("  </table>");



            }
            else {
                out.println("<br/>No cookie has been retrieved!");
            }

            String lastPart ="</body>\n"+
                "</html>";
            out.println(lastPart);
            
            Cookie myNewCookie= new Cookie("cookie"+Integer.toString(numC), "ciao");
            response.addCookie(myNewCookie);

        } finally { 
            out.close();
        }
    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
